Skip to main content
POST
https://checkout.dintero.com/v1
/
sessions
/
{session_id}
/
qr
qr_sessions_sid_post
curl --request POST \
  --url https://checkout.dintero.com/v1/sessions/{session_id}/qr \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "format": "png",
  "size": 300
}
'
import requests

url = "https://checkout.dintero.com/v1/sessions/{session_id}/qr"

payload = {
"format": "png",
"size": 300
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({format: 'png', size: 300})
};

fetch('https://checkout.dintero.com/v1/sessions/{session_id}/qr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://checkout.dintero.com/v1/sessions/{session_id}/qr"

payload := strings.NewReader("{\n \"format\": \"png\",\n \"size\": 300\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://checkout.dintero.com/v1/sessions/{session_id}/qr")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"format\": \"png\",\n \"size\": 300\n}")
.asString();
{
  "qr": "<string>"
}
{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing admin endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Path Parameters

session_id
string<checkout-id>
required

The session ID

Body

application/json
format
enum<string>
Available options:
png
size
integer
default:300

Size of the QR code. The code is a square, so width and height are the same

Required range: 300 <= x <= 1024

Response

QR Code

qr
string<data:[<mime type>][;charset=<charset>][;base64],<encoded data>>

A base64 encoded image of the QR code

Last modified on July 9, 2026